
<p>Do sada smo naučili kako broj zapisan u proizvoljnoj bazi zapisati u dekadskom brojevnom sustavu, te kako cijeli broj zapisan u dekadskom brojevnom sustavu prevesti u proizvoljnu bazu.
Još je ostalo pogledati na koji način decimalni dio broja iz dekadskog sustava prevesti u proizvoljnu bazu.</p>

<p>Osvrnimo se najprije na važno svojstvo koje ćemo koristiti u postupku pretvorbe. Pogledajmo ponovno dekadski broj 0,534. Možemo ga raspisati na sljedeći način.$$
\begin{align}
 0,534 &amp;= 5 \cdot 10^{-1} + 3 \cdot 10^{-2} + 4 \cdot 10^{-3} \\
     &amp;= 10^{-1} \cdot (5 + 3 \cdot 10^{-1} + 4 \cdot 10^{-2}) \\
     &amp;= 10^{-1} \cdot (5 + 0,34). \\
\end{align}
$$
Pogledajte raspis u prvom retku i uočite da uz sve znamenke stoji faktor 10<sup>-1</sup> ili neka njegova niža potencija. U drugom retku faktor 10<sup>-1</sup> je izlučen iz svih članova
čime je dobiven posljednji redak u kojem je pokazano da se 0,534 može zapisati kao 10<sup>-1</sup> puta (cijeli broj 5 plus decimalni dio 0,34) - u ovoj rečenici zagrade su iskorištene za
grupiranje operacija u matematičkom smislu. Pretpostavimo sada da taj broj pomnožimo s 10:
$$
  (10^{-1} \cdot (5 + 0,34)) \cdot 10 = 5 + 0,34.
$$ 
Rezultat je cijeli broj 5 i decimalni dio 0,34. Cijeli broj pri tome predstavlja prvu znamenku u zapisu broja desno od decimalne točke dok ostatak predstavlja decimalni dio koji bismo dobili
kada bismo originalnom broju tu znamenku postavili na nula i potom znamenke broja posmaknuli za jedno mjesto u lijevo. Time nam ostaje decimalni dio koji u odnosu na originalni ima jednu znamenku
manje. Primjenimo li sada opisani opisani postupak na dobiveni decimalni dio, izolirat ćemo sljedeću znamenku (3) i dobiti novi decimalni broj 0,4. Primjenom postupka na taj broj dobit ćemo cijeli
broj 4 i decimalni dio 0,0 čime se postupak prekida. Uočite, provođenjem postupka redom smo dobivali znamenke 5, 3 pa 4 što odgovara njihovim pozicijama u decimalnom dijelu broja od one najbliže
decimalnom zarezu pa na desno.
</p>

<p>Postupak vrijedi i općenito za proizvoljnu bazu. u pozicijskom brojevnom sustavu svaki se decimalni dio broja
može zapisati u prethodno danom obliku sume umnožaka znamenaka i pripadnih težina. Idemo to raspisati samo malo drugačije.
$$
\begin{align}
 n_{(B)} &amp;= \sum \limits_{i=-m}^{-1} a_i \cdot B^i \\
         &amp;= a_{-1} \cdot B^{-1} + \sum \limits_{i=-m}^{-2} a_i \cdot B^i \\
         &amp;= B^{-1} \cdot \left( a_{-1}  + \sum \limits_{i=-m}^{-2} a_{i} \cdot B^{i+1} \right). \\
\end{align}
$$
Množenjem čitavog izraza bazom B dobivamo:
$$
\begin{align}
 B \cdot n_{(B)} &amp;= B \cdot \left( B^{-1} \cdot \left( a_{-1}  + \sum \limits_{i=-m}^{-2} a_{i} \cdot B^{i+1} \right) \right) \\
                 &amp;= a_{-1}  + \sum \limits_{i=-m}^{-2} a_{i} \cdot B^{i+1}
\end{align}
$$
odnosno broj čiji je pozicijski zapis jednak \(a_{-1} , a_{-2} a_{-3} \ldots a_{-m} \). Cijeli dio tog broja je upravo jednoznamenkasti broj \( a_{-1} \) a decimalni dio je
\(0 , a_{-2} a_{-3} \ldots a_{-m} \) - broj kojemu su decimalne znamenke posmaknute za jedno mjesto u lijevo i ima ih za jednu manje u odnosu na početni broj. Opetovanim ponavljanjem 
postupka na tako dobivene decimalne dijelove moguće je redom dohvatiti sve znamenke. Nakon <i>m</i>-tog koraka decimalni dio će sigurno doći do 0,0 i tada se postupak prekida.
</p>

<p>Postupak koji smo opisali naziva se <em>postupak uzastopnog množenja s bazom</em>.</p>

<div class="mlExample"><div class="mlExampleQ"><span class="mlExampleKey">Primjer 1. </span><span class="mlExampleText">Koristeći postupak uzastopnog množenja s bazom prikažite dekadski broj 0,34375 u 
binarnom brojevnom sustavu.</span></div><div class="mlExampleA">Baza brojevnog sustava u koji pretvaramo je B=2. Rješenje:
$$
\begin{array}{rclc}
  0,34375 \cdot 2 &amp; = &amp; 0,6875 &amp; \quad \text{cijeli dio: } 0, \text{nastavljamo s } 0,6875 \\
  0,6875 \cdot 2 &amp; = &amp; 1,375 &amp; \quad \text{cijeli dio: } 1, \text{nastavljamo s } 0,375 \\
  0,375 \cdot 2 &amp; = &amp; 0,75 &amp; \quad \text{cijeli dio: } 0, \text{nastavljamo s } 0,75 \\
  0,75 \cdot 2 &amp; = &amp; 1,5 &amp; \quad \text{cijeli dio: } 1, \text{nastavljamo s } 0,5 \\
  0,5 \cdot 2 &amp; = &amp; 1,0 &amp; \quad \text{cijeli dio: } 1, \text{nastavljamo s } 0,0 \\
\end{array}
$$
Zadani broj u binarnom brojevnom sustavu glasi <span class="lang-constant">0,01011</span> (redosljed cijelih dijelova u postupku odgovara znamenkama u decimalnom zapisu broja).
</div>
</div>

<p>Pogledajmo još jedan primjer. Ovaj puta neka to bude pretvorba u heksadekadski brojevni sustav.</p>

<div class="mlExample"><div class="mlExampleQ"><span class="mlExampleKey">Primjer 2. </span><span class="mlExampleText">Koristeći postupak uzastopnog množenja s bazom prikažite dekadski broj 0,359375 u 
heksadekadskom brojevnom sustavu.</span></div><div class="mlExampleA">Baza brojevnog sustava u koji pretvaramo je B=16. Rješenje:
$$
\begin{array}{rclc}
  0,359375 \cdot 16 &amp; = &amp; 5,75 &amp; \quad \text{cijeli dio: } 5, \text{nastavljamo s } 0,75 \\
  0,75 \cdot 16 &amp; = &amp; 12,0 &amp; \quad \text{cijeli dio: } c, \text{nastavljamo s } 0,0 \\
\end{array}
$$
Zadani broj u heksadekadskom brojevnom sustavu glasi <span class="lang-constant">0,5c</span> (redosljed cijelih dijelova u postupku odgovara znamenkama u decimalnom zapisu broja).
</div>
</div>
